@ECHO OFF

SETLOCAL

SET PROJECT=2014 Aerial Assist Robot Project

FOR /F "usebackq delims==" %%i IN (`hostname`) DO @SET HOST=%%i

if /I %HOST% == Boyle-HP-G7 SET SOURCE="C:\Users\Chris\Documents\LabVIEW Data\%PROJECT%" && SET DEST="C:\Users\Chris\Google Drive\2014 Programming\2014 Competition Robot"
if /I %HOST% == BSD-T3-1424 SET SOURCE=10.0.68.112 && SET DEST=10.0.68.212
if /I %HOST% == BSD-T3-1436 SET SOURCE=10.0.68.113 && SET DEST=10.0.68.213
if /I %HOST% == BSD-T3-1421 SET SOURCE=10.0.68.114 && SET DEST=10.0.68.214
if /I %HOST% == BSD-T3-1434 SET SOURCE=10.0.68.115 && SET DEST=10.0.68.215
if /I %HOST% == BSD-T3-1417 SET SOURCE=10.0.68.116 && SET DEST=10.0.68.216
if /I %HOST% == BSD-T3-1416 SET SOURCE=10.0.68.117 && SET DEST=10.0.68.217

REM SET SOURCE="C:\Users\Chris\Documents\LabVIEW Data\%PROJECT%"
REM SET DEST="C:\Users\Chris\Google Drive\2014 Programming\2014 Competition Robot"

CD %SOURCE%

FOR /F "delims==" %%i IN ('date /t') DO SET Y=%%i
SET YEAR=%Y:~12,2%
SET MON=%Y:~4,2%
SET DAY=%Y:~7,2%

FOR /F "delims==" %%i IN ('time /t') DO SET T=%%i

IF /I "%T:~0,1%" == "0" (
 SET HOUR=%T:~1,1%
) ELSE (
 SET HOUR=%T:~0,2%
)

SET MIN=%T:~3,2%
SET AM=%T:~6,2%

IF "%AM%" == "PM" SET /A HOUR=%HOUR% + 12

SET OUTPUT="%MON%-%DAY%-%YEAR% %HOUR%%MIN%"

CD "%DEST%"
MD %OUTPUT%
CD %OUTPUT%
MD "%PROJECT%"
CD "%PROJECT%"

xcopy %SOURCE% /s /e 

:End

PAUSE

ENDLOCAL